@import url('https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');
*
{
    padding: 0px;
    margin: 0px;
    box-sizing: border-box;
}
:root
{
    --color_azul_fuerte: 0,108,206;
    --color_azul_bajo: 0,125,243;
    --color_verde_fuerte: #00E600;
    --color_verde_bajo: #0DFF0D;
    --color_letras_gris: #4e4e4e;
    --color_gris_bajo:#ececec;
    --color_gris_medio:#d4d4d4;
    --color_gris_alto:#afafaf;

    --azul_1: rgb(var(--color_azul_fuerte));
    --azul_2: rgb(var(--color_azul_bajo));

    --opa_10: 0.1;
    --opa_20: 0.2;
    --opa_30: 0.3;
    --opa_40: 0.4;
    --opa_50: 0.5;
    --opa_60: 0.6;
    --opa_70: 0.7;
    --opa_80: 0.8;
    --opa_90: 0.9;
    --opa_100: 1;
}
body 
{
    font-size: 16px;
}
/*xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx*/
/*estilos generales*/
.cursor_none
{
    user-select: none;
}
.over_hidden
{
    overflow: hidden;
}
.img_cover
{
    object-fit: cover;
}
.flex_center_center
{
    display: flex;
    align-items: center;
    justify-content: center;
}
/*xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx*/
/*colores fondo*/
.bg_azul_1
{
    background-color: var(--azul_1);
}
/*xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx*/
/*estructura pincipal*/
.main_primary
{
    width: 100%;
    height: 100vh;
    padding-top: 60px;
}
.main_int_primary
{
    width: 100%;
    height: 100%;
}

.cont_prueba
{
    background-color: white;
}
/*xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx*/
/*bordes*/
.border_input_gris
{
    border: 1px solid var(--color_gris_medio);
}
.border_bottom_gris
{
    border-bottom: 1px solid var(--color_gris_medio);
}
/*xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx*/
/*alertas messenger*/
.cont_messenger_alerts
{
    position: fixed;
    bottom: 0px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px;
}
.messenger_alert
{
    width: auto;
    height: auto;
    padding: 10px 0 10px 20px;
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    user-select: none;
}
.close_alert
{
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}
.close_alert i
{
    font-size: 30px;
    opacity: 0.5;
    transition: all 0.3s ease;
}
.close_alert:hover i
{
    opacity: 1;
}

.danger
{
    background-color: #ffd3d3;
    border: 1px solid #ad352c;
    color: #ad352c;
}
.messenger
{
    background-color: #ffecd8;
    border: 1px solid #ff9225;
    color: #ff9225;
}
.susses
{
    background-color: #DFF0D8;
    border: 1px solid #426f15;
    color: #426f15;
}
.info
{
    background-color: #D9EDF7;
    border: 1px solid #387390;
    color: #387390;
}
/*xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx*/
/*color text*/
.text_gris_medio
{
    color: var(--color_letras_gris);
}
.text_azul_1
{
    color: var(--azul_1);
}
/*xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx*/
/*alturas Height*/
.h_100_vh
{
    height: 100vh;
}
.h_50_vh
{
    height: 50vh;
}
.h_30
{
    height: 30px;
}
.h_32
{
    height: 32px;
}
/*xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx*/
/*botones*/
.border_boton_none
{
    height: 40px;
    border: none;
    border-radius: 5px;
    overflow: hidden;
}
.boton_form
{
    width: 250px;
    height: 40px;
    background-color: var(--azul_1);
}
.boton_animado
{
    width: 50%;
    height: 40px;
    background: linear-gradient(to right, var(--azul_1), var(--azul_2), var(--azul_1));
    transform: width;
    transition: all 0.5s ease;
}
.boton_text
{
    position: relative;
    bottom: 40px;
    width: 100%;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.border_boton_none:hover .boton_animado
{
    margin-left: 50%;
}

.boton_sm
{
    width: 40px;
    height: 30px;
    border: none;
    background-color: var(--azul_1);
    border-radius: 5px;
    color: white;
    transition: all 0.3s ease;
}
.boton_sm:hover
{
    background-color: var(--azul_2);
}
.boton_sm_gris
{
    width: 40px;
    height: 30px;
    border: none;
    border: 1px solid var(--azul_1);
    background-color: rgba(255, 255, 255, 0);
    border-radius: 5px;
    color: var(--azul_1);
    transition: all 0.3s ease;
}
.boton_sm_gris:hover
{
    background-color: var(--azul_2);
    color: white;
}

.boton_md
{
    width: 70px;
    height: 30px;
    border: none;
    background-color: var(--azul_1);
    border-radius: 5px;
    color: white;
    transition: all 0.3s ease;
}
.boton_md:hover
{
    background-color: var(--azul_2);
}

.boton_lg
{
    width: 90px;
    height: 30px;
    border: none;
    background-color: var(--azul_1);
    border-radius: 5px;
    color: white;
    transition: all 0.3s ease;
}
.boton_lg:hover
{
    background-color: var(--azul_2);
}
/*xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx*/
/*forms*/
.label_form
{
    width: 100%;
    font-size: 1.2rem;
}
.input_form
{
    width: 100%;
    font-size: 1.2rem;
    padding-left: 8px;
    border: 2px solid var(--azul_2);
    border-radius: 5px;
}
.check_remember
{
    width: 25px;
    height: 25px;
}
/*xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx*/
/*login*/
.slider {
    width: 100%;
    height: 100%;
    position: relative;
    overflow: hidden;
}
.slides img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0;
    transition: opacity 2s ease-in-out;
}
.slides img.active {
    opacity: 1;
}

.h_100_top
{
    height: 100vh;
}
.h_100_bottom
{
    height: 100vh;
}

@media (max-width: 840px)
{
    .h_100_top
    {
        height: 50vh;
    }
    .h_100_bottom
    {
        height: 50vh;
    }
}
@media (max-width: 570px)
{
    .h_100_top
    {
        height: 60vh;
    }
    .h_100_bottom
    {
        height: 40vh;
    }
}
@media (max-width: 380px)
{
    .h_100_top
    {
        height: 70vh;
    }
    .h_100_bottom
    {
        height: 30vh;
    }
}
/*xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx*/
/*header dashboard*/
.header_dashboard
{
    z-index: 2;
    height: 60px;
    position: fixed;
    top:0px;
    background-color: white;
}

.submenu_dashboard
{
    z-index: 2;
    position: fixed;
    top: 62px;
    right:0px;
    width: 20%;
    border-radius: 5px 0 0 5px;
    background-color: rgba(var(--color_azul_fuerte),var(--opa_50));
    backdrop-filter: blur(2px);
    opacity: 0;
}
.nombre_user
{
    width: 100%;
    background-color: rgba(var(--color_azul_fuerte),var(--opa_50));
}
.link_submenu
{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    text-decoration: none;
    cursor: pointer !important;
    background-color: rgba(var(--color_azul_fuerte),var(--opa_90));
    border-bottom: 1px solid rgba(255, 255, 255, 0.5);
    transition: all 0.3s ease;
}
.link_submenu i
{
    color: var(--color_azul_fuerte);
}
.link_submenu:hover
{
    background-color: rgba(var(--color_azul_fuerte),var(--opa_50));
}
.border_none
{
    border: none;
}
.bg_none
{
    background-color: #ffffff00;
}

.circulo_perfil
{
    width: 55px;
    height: 55px;
    border: 3px solid var(--azul_1);
    border-radius: 50%;
    transition: all 0.3s ease;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}
.circulo_perfil:hover
{
    border: 3px solid var(--azul_2);
}

.clic_fuera
{
    z-index: 1;
    position: fixed;
    top: 0px;
    width: 100%;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.2);
    opacity: 0;
}

@media (max-width: 840px)
{
    .submenu_dashboard
    {
        width: 40%;
    }
}
@media (max-width: 570px)
{
    .submenu_dashboard
    {
        width: 80%;
    }
}
@media (max-width: 380px)
{
    .submenu_dashboard
    {
        width: 90%;
    }
}

/*xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx*/
/*Fotos secion*/
.foto_int
{
    border: 1px solid var(--color_gris_medio);
}